package com.ejie.ab78.dao.terceros;

import java.util.List;

import com.ejie.ab78.model.expedientes.Expedientes;
import com.ejie.ab78.model.terceros.DatosTerceros;
import com.ejie.x38.dto.TableRequestDto;

/**
 * DatosTercerosDao  
 * 
 *  
 */

public interface DatosTercerosDao {

	DatosTerceros add(DatosTerceros datosterceros);

	DatosTerceros findUltimoId();

	DatosTerceros update(DatosTerceros datosterceros);

	DatosTerceros updateTerceroSearchfolder(DatosTerceros datosterceros);

	void remove(Integer idTercero);

	public void remove();

	List<DatosTerceros> findAll(DatosTerceros datosterceros, TableRequestDto TableRequestDto);

	DatosTerceros addTerceroSearchFolder(DatosTerceros datosterceros);

	List<DatosTerceros> findAllLike(DatosTerceros datosterceros, TableRequestDto TableRequestDto, Boolean startsWith);

	Long findAllLikeCount(DatosTerceros datosterceros, Boolean startsWith);

	Long findAllCount(DatosTerceros datosterceros);

	List<DatosTerceros> findAllByExpdiente(Expedientes expedientes);

	DatosTerceros findById(Integer idTercero);

}
